org.apache.activemq.artemis.uri.schema.serverLocator

## Class ConnectionOptions

- java.lang.Object
- - org.apache.activemq.artemis.uri.schema.serverLocator.ConnectionOptions

- Direct Known Subclasses:
    JMSConnectionOptions

      public class ConnectionOptions
      extends Object

  This will represent all the possible options you could setup on URLs When parsing the URL this will serve as an intermediate object And it could also be a pl

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionOptions()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHost()`
    `int` | `getPort()`
    `boolean` | `isHa()`
    `boolean` | `isHA()` Se need both options (ha / HA in case of typos on the URI)
    `void` | `setHa(boolean ha)`
    `void` | `setHA(boolean ha)`
    `ConnectionOptions` | `setHost(String host)`
    `ConnectionOptions` | `setPort(int port)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionOptions

          public ConnectionOptions()

  - ### Method Detail

    - #### setHost

          public ConnectionOptions setHost(String host)

    - #### getHost

          public String getHost()

    - #### setPort

          public ConnectionOptions setPort(int port)

    - #### getPort

          public int getPort()

    - #### isHa

          public boolean isHa()

    - #### setHa

          public void setHa(boolean ha)

    - #### isHA

          public boolean isHA()

      Se need both options (ha / HA in case of typos on the URI)

    - #### setHA

          public void setHA(boolean ha)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018 The Apache Software Foundation. All rights reserved.